NNStorage.NameNodeDirType (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.namenode, class: NNStorage, enum: NameNodeDirType

Package org.apache.hadoop.hdfs.server.namenode

# Enum Class NNStorage.NameNodeDirType

java.lang.Object
java.lang.Enum<NNStorage.NameNodeDirType>
org.apache.hadoop.hdfs.server.namenode.NNStorage.NameNodeDirType

All Implemented Interfaces:
  `Serializable`, `Comparable<NNStorage.NameNodeDirType>`, `Constable`, `org.apache.hadoop.hdfs.server.common.Storage.StorageDirType`

Enclosing class:
  org.apache.hadoop.hdfs.server.namenode.NNStorage

@VisibleForTesting public static enum NNStorage.NameNodeDirType extends Enum<NNStorage.NameNodeDirType> implements org.apache.hadoop.hdfs.server.common.Storage.StorageDirType
Implementation of StorageDirType specific to namenode storage A Storage directory could be of type IMAGE which stores only fsimage, or of type EDITS which stores edits or of type IMAGE_AND_EDITS which stores both fsimage and edits.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `EDITS`
  `IMAGE`
  `IMAGE_AND_EDITS`
  `UNDEFINED`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.hadoop.hdfs.server.common.Storage.StorageDirType`
  `getStorageDirType()`
  `boolean`
  `isOfType(org.apache.hadoop.hdfs.server.common.Storage.StorageDirType type)`
  `static NNStorage.NameNodeDirType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static NNStorage.NameNodeDirType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### UNDEFINED

    public static final NNStorage.NameNodeDirType UNDEFINED

  - ### IMAGE

    public static final NNStorage.NameNodeDirType IMAGE

  - ### EDITS

    public static final NNStorage.NameNodeDirType EDITS

  - ### IMAGE_AND_EDITS

    public static final NNStorage.NameNodeDirType IMAGE_AND_EDITS

- ## Method Details

  - ### values

    public static NNStorage.NameNodeDirType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static NNStorage.NameNodeDirType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getStorageDirType

    public org.apache.hadoop.hdfs.server.common.Storage.StorageDirType getStorageDirType()
    Specified by:
      `getStorageDirType` in interface `org.apache.hadoop.hdfs.server.common.Storage.StorageDirType`

  - ### isOfType

    public boolean isOfType(org.apache.hadoop.hdfs.server.common.Storage.StorageDirType type)
    Specified by:
      `isOfType` in interface `org.apache.hadoop.hdfs.server.common.Storage.StorageDirType`